Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#53067 - updated nvidia-340xx-utils no longer provides nvidia-utils

Attached to Project: Arch Linux
Opened by David McInnis (daavve) - Thursday, 23 February 2017, 19:15 GMT
Last edited by Laurent Carlier (lordheavy) - Monday, 27 February 2017, 18:30 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

The latest version of nvidia-340xx-utils no longer provides nvidia-utils. Packages dependent on nvidia-utils such as python-pycuda will refuse to install/update


Additional info:
extra/nvidia-340xx-utils (340.102-5)
community/python-pycuda 2016.1.2-6


Steps to reproduce:

1) Enable testing repositories (Maybe not necessary)
2) install nvidia-340xx-utils
3) try to install python-pycuda

You should get an error message similar to:

:: python-pycuda: installing nvidia-340xx-utils (340.102-5) breaks dependency 'nvidia-utils'
This task depends upon

Closed by  Laurent Carlier (lordheavy)
Monday, 27 February 2017, 18:30 GMT
Reason for closing:  Fixed
Additional comments about closing:  nvidia-340xx-utils-340.102-7
Comment by helle vaanzinn (glitsj16) - Friday, 24 February 2017, 23:28 GMT
Hi David, I had a different problem with nvidia-340xx-utils 340.102-5 (https://bugs.archlinux.org/task/53069). I changed the PKGBUILD a bit to solve my issue, and while doing that I added nvidia-utils to the provides array. Would you mind testing with https://gist.github.com/glitsj16/f053d88d55c5bfa6ee258327200ac730 to confirm/deny that it solves you're issue?
Comment by Laurent Carlier (lordheavy) - Monday, 27 February 2017, 12:28 GMT
Please test with nvidia-340xx-utils-340.102-7
Comment by David McInnis (daavve) - Monday, 27 February 2017, 16:07 GMT
I just tested, and everything now works fine.

Thanks!

-Dave

Loading...